export interface IHash<T> {
    [name: string]: T;
}
export interface Json extends IHash<string | number | boolean | Date | Json | JsonArray> {
}
export interface JsonArray extends Array<string | number | boolean | Date | Json | JsonArray> {
}
export declare type JsonValue = Json[keyof Json];
export declare type MaybeArray<T> = T | Array<T>;
export declare type MaybePromise<T> = T | Promise<T>;
