"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fusion_collector_1 = require("@alifd/fusion-collector");
const log = require("../utils/log");
const packageInfo = require('../../package.json');
const collect = ({ command, rootDir, pkg }) => {
    if (Object.keys(pkg).length === 0) {
        // package.json is not exsist or package.json is empty
        return;
    }
    const projectPkg = {
        dependencies: {},
        ...pkg,
    };
    const isRax = !!projectPkg.dependencies.rax;
    if (!pkg.componentConfig && !pkg.blockConfig && !process.env.DISABLE_COLLECT) {
        try {
            const options = {
                rootDir,
                kit: 'build-scripts',
                kitVersion: packageInfo.version,
                cmdType: isRax ? `rax-${command}` : command,
                basicPackage: isRax ? 'rax' : '',
            };
            fusion_collector_1.collectDetail(options);
        }
        catch (err) {
            log.warn('[collect error]', err);
        }
    }
};
exports.default = collect;
